---
title: Get Balance
slug: get-balance
docTags: 
createdAt: 2025-05-02T10:40:00.252Z
---

This API returns balance for accounts configured for checkout and payout transactions. A list of balance objects is returned are for a given Client ID. If for a given currency, there are multiple partners configured based on payment methods, the response will contain balances for those multiple partners.&#x20;

:::ApiMethodV2
```json
{
  "name": "Get Balance",
  "method": "GET",
  "url": "https://your-hostname.pay3.app/v1/client/fiat/balance",
  "description": "Get balance for a Client ID",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "R_kjEOVWrgdjXK9y79KWL",
        "language": "curl",
        "code": "curl --location 'https://your-hostname.pay3.app/v1/client/fiat/balance?clientId=YOUR-CLIENT-ID' \\\n--header 'access-token: ACCESS-TOKEN-IN-JWT'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "R_kjEOVWrgdjXK9y79KWL"
  },
  "results": {
    "languages": [
      {
        "id": "-WPelU7C1GJ3RYSstvFCO",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"balances\": [\n        {\n            \"currencyId\": \"brl_bz\",\n            \"currency\": \"BRL\",\n            \"balance\": \"6348.22\",\n            \"partner\": \"partnerId\"\n        }\n    ]\n}"
      },
      {
        "id": "nV086WqVdYra6yxpqPFIt",
        "language": "400",
        "customLabel": "",
        "code": "{\n    \"error\": {\n        \"code\": \"400\",\n        \"message\": \"Could not verify the client\"\n    }\n}"
      }
    ],
    "selectedLanguageId": "-WPelU7C1GJ3RYSstvFCO"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "clientId",
        "kind": "required",
        "type": "string",
        "description": "Client ID",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "name": "access-token",
        "kind": "required",
        "type": "string",
        "description": "Access token received from Access token API. You can reuse the access token across multiple API calls till it is expired.",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-balance",
  "legacyHash": "ScY8BfqTc_CgJdpVCQO3Y"
}
```
:::

***

